GNU bug report logs - #43715
28.0.50; Duplicate results in project-find-regexp

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pankaj Jangid <pankaj@HIDDEN>; merged with #36967; dated Wed, 30 Sep 2020 07:02:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 2 Oct 2020 08:53:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 02 04:53:02 2020
Received: from localhost ([127.0.0.1]:39316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kOGoI-0004M6-Jc
	for submit <at> debbugs.gnu.org; Fri, 02 Oct 2020 04:53:02 -0400
Received: from mail-ed1-f54.google.com ([209.85.208.54]:45789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kOGoF-0004La-Sr
 for 43715 <at> debbugs.gnu.org; Fri, 02 Oct 2020 04:53:01 -0400
Received: by mail-ed1-f54.google.com with SMTP id l17so845912edq.12
 for <43715 <at> debbugs.gnu.org>; Fri, 02 Oct 2020 01:52:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=vEOf3jqCtxs9+IUcGHXLBYlDpJhd0p5QAWrrZ9NDfFQ=;
 b=aC2YZmqG6BPJG5TCbDPqXfoW8wln6RqvTLG724bay+MrOzeih8VSUPVjuTkqye5L1p
 6nwKu50bjPCYXbushsqFzUlGFSvsD8LtVCqlqFHy4wziP3Lqypq7/XBevmmCLB0ta2Gt
 H/zw7+oenzZfmAnBhYUWhmbciwv79OtoRcYp2eYKCWgAWGljL11t4hdP2AVn1lQf+JuM
 GDkHFN+j/dj6q2r7i7Idp/ImHEJQjZJEFqjoekkUtptYJ/lALBs9U9vbyyYjCWOuXgKP
 bQNPjoiOwKO/Gn8WeoQoiHpnUh3TaIqbQZR4uP69ANM3WDMjY4JObKrTFqoCbwvCLDlu
 KUvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=vEOf3jqCtxs9+IUcGHXLBYlDpJhd0p5QAWrrZ9NDfFQ=;
 b=koKGFgFehBHHT/QTXj6L6XfgAkxfkVNBc5ka3MnQ5bR18INfFFLl88pGIuEP/ydG91
 HsrMCADTuwQboPN+pajbd3UVegjJFlzssdT8eaYfoZj/myTsaZ7yAlO+CGDuU/+tTCfn
 ILj4K7/eW/17JQQRn3a5E7iE1ZNVDMh1OgPtkz5jKgQF9g+UV1RUBGHpECDWYQNmzu+u
 7J2lzhSlTkvyeRtKrjxuTmi+lbvDjWVdVcF9BOCzH1iGAouL8P5TlR58IIqvc6YxHNtr
 NqsFMLkZU3Dh7okZNk2UKUKph7iJuuK3qHMfUCyeaGNwnQZ+yJJo2nxC9pTZnfvTwTBS
 1Nrw==
X-Gm-Message-State: AOAM533Dq2soK1jeR7h0ZwLokykALZTVVcLDDtEXgK0OWTHYcRLYdpbU
 uGJEGAJi3s4xLiJBnIgkY3XucuhkEI+aXQ==
X-Google-Smtp-Source: ABdhPJwWbD4tJ93lSKMjYmKiLWyQoB/DCoJqJxf+hiKDBp+4xAJmPhEr7/1tOsnA0uoGXQFdY+6/ZQ==
X-Received: by 2002:aa7:d815:: with SMTP id v21mr1255634edq.56.1601628773944; 
 Fri, 02 Oct 2020 01:52:53 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id c17sm720322ejb.15.2020.10.02.01.52.50
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 02 Oct 2020 01:52:51 -0700 (PDT)
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
To: Eli Zaretskii <eliz@HIDDEN>
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN> <87lfgqwxtf.fsf@HIDDEN>
 <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN> <87pn61znnj.fsf@HIDDEN>
 <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN> <877ds9zkwl.fsf@HIDDEN>
 <9d930492-b1f9-ab9b-9bd1-7d5be421e4b5@HIDDEN> <835z7tgmlt.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <7da8c223-5513-c9d0-02d2-92219328b137@HIDDEN>
Date: Fri, 2 Oct 2020 11:52:49 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <835z7tgmlt.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: larsi@HIDDEN, pankaj@HIDDEN, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 02.10.2020 09:37, Eli Zaretskii wrote:
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Fri, 2 Oct 2020 00:45:22 +0300
>> Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
>>
>> So you think it's a good idea for 'n' and 'p' to skip subsequent matches
>> on the line?
> 
> Please don't: that would be mightily confusing.

To play the devil's advocate: this is already what both Grep and Occur 
do. So maybe it is fine?

Or we should fix the other modes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 2 Oct 2020 06:37:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 02 02:37:26 2020
Received: from localhost ([127.0.0.1]:39191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kOEgs-0007ET-8E
	for submit <at> debbugs.gnu.org; Fri, 02 Oct 2020 02:37:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kOEgq-0007ED-6Q
 for 43715 <at> debbugs.gnu.org; Fri, 02 Oct 2020 02:37:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41567)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kOEgk-0005P2-MS; Fri, 02 Oct 2020 02:37:06 -0400
Received: from [176.228.60.248] (port=1281 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kOEgk-0005R0-1w; Fri, 02 Oct 2020 02:37:06 -0400
Date: Fri, 02 Oct 2020 09:37:02 +0300
Message-Id: <835z7tgmlt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <9d930492-b1f9-ab9b-9bd1-7d5be421e4b5@HIDDEN> (message from
 Dmitry Gutov on Fri, 2 Oct 2020 00:45:22 +0300)
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN> <87lfgqwxtf.fsf@HIDDEN>
 <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN> <87pn61znnj.fsf@HIDDEN>
 <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN> <877ds9zkwl.fsf@HIDDEN>
 <9d930492-b1f9-ab9b-9bd1-7d5be421e4b5@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43715
Cc: larsi@HIDDEN, pankaj@HIDDEN, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 2 Oct 2020 00:45:22 +0300
> Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
> 
> So you think it's a good idea for 'n' and 'p' to skip subsequent matches 
> on the line?

Please don't: that would be mightily confusing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 1 Oct 2020 21:45:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 17:45:33 2020
Received: from localhost ([127.0.0.1]:38635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO6OK-0004rd-LN
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:45:33 -0400
Received: from mail-ej1-f45.google.com ([209.85.218.45]:33120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kO6OI-0004k1-Ni
 for 43715 <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:45:31 -0400
Received: by mail-ej1-f45.google.com with SMTP id j11so28183ejk.0
 for <43715 <at> debbugs.gnu.org>; Thu, 01 Oct 2020 14:45:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=zFH4NLwHwDv6ahVRljVARQsrAIDmYE0o6IMoE7F76wM=;
 b=qyfecRKZnLqatzDPnS7c+0Ej3PEQAh5nSJwJkSnuAEuviZdcUfWKGShWu7QpH6QnyY
 PSWz7fVLnR6WJzMakESrsjCHjXIi2ooZ+vRnhLeYqWrJL4WN+NyF+WPf1uebFv3e94dr
 BYRDi4memeH/Py6tFKBdEw/Oj086+aEPelHvHkYUDefEh2W3J36sKJV3HcLIr9FX8PX7
 sSvAcEO/6rZGrJbTTpA3Uqubr0vhWbZ//Za2hjNV85j/5gvoSgFq/u6D2TU2mwYxiryh
 BzkqUGbrxAh4Oxfy78XHym7iLRB2oasak0lHJbsMow/9WgZRodFTcLqhoxceDWnqWfeR
 GQPQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=zFH4NLwHwDv6ahVRljVARQsrAIDmYE0o6IMoE7F76wM=;
 b=bDOnjJUlxckQTKX3lZJ/DTyxCQcDb1GhDVdRL9Gd/WS7psYjHBmnAvaBUfCXsBR3M5
 4drPnfrJm+h0jklB1ZB2qOJqPn/GwIKiFXTRZPdPL5zrcsx8l7G5YMYiB0+xLhRJgVG3
 wqshvSfv3qbbAPps3il29iEbqWLlNDSCUV387AGXhujOUvE2SYvDiIs3q0qAYRygSrBt
 +JnkI/tvWOa9Q4CqY6zPEngsdwU3+8zI1pD40rGJufKpHmC1wW/PC3li9jr4LDngs1n8
 ZmVt5QJRM8Z2yXRIgx1Gwx0rWEKWg4KJBZsjy1TZma0uh9eLr4lMOFFQ/GVdrsN84sIv
 tbZw==
X-Gm-Message-State: AOAM531yDck5D0Ehsw74o0N87uV+Yj0d07sLHx23UwAhqMu99+U+ggdI
 zYtlHfDkNHADXslum0ghzp8rMRK1y0yMBw==
X-Google-Smtp-Source: ABdhPJyiLwvMw5Yz6C15f/GUcgxOJwQbu6v1KKNmAWP/p0McrPUXJ4Z3UYcK56ZmJ8cbT4AW4e5ydA==
X-Received: by 2002:a17:906:7fcc:: with SMTP id
 r12mr10430256ejs.360.1601588724606; 
 Thu, 01 Oct 2020 14:45:24 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id bk9sm5017873ejb.122.2020.10.01.14.45.23
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 01 Oct 2020 14:45:23 -0700 (PDT)
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN> <87lfgqwxtf.fsf@HIDDEN>
 <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN> <87pn61znnj.fsf@HIDDEN>
 <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN> <877ds9zkwl.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <9d930492-b1f9-ab9b-9bd1-7d5be421e4b5@HIDDEN>
Date: Fri, 2 Oct 2020 00:45:22 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <877ds9zkwl.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 02.10.2020 00:38, Lars Ingebrigtsen wrote:

>> Going back to xref buffers, if two matches are rendered on one line,
>> that leads to a question of how 'n' and 'p' should behave (whether
>> they would also jump between the matches on the same line).
> 
> I have no idea; I've never used those commands.
> 
> I'd just expect project-find-regexp to work as M-x grep, and have
> `next-error' work (which works based on lines).

So you think it's a good idea for 'n' and 'p' to skip subsequent matches 
on the line? I'm less sure, but OK.

Then that mostly leaves the question of xref-query-replace-in-results 
and how to retain the information it requires in a backward-compatible way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 1 Oct 2020 21:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 17:39:11 2020
Received: from localhost ([127.0.0.1]:38627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO6I7-0004BM-4w
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:39:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kO6I1-0004Ao-8m
 for 43715 <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:39:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=thqGP2E6ud2Z1d5Lz//KoONhw6dYuZku1R6/ZAKvitk=; b=WDwy9UW/5aGCO2VJWddG0jUKO9
 p3+y7T+BzuaHLT+cSLaFUD556tzwFgw2dH56vXNJL7la6r7bTHHvrXxDrGAbGiiyb+b7Dt9UxagCt
 bbum6PcguadwqtvLCEB040hWTQENyYb86ogao866vC92wfNC+6nKjDS0oQHAqLMr21oY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kO6Hr-0003hi-6J; Thu, 01 Oct 2020 23:38:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN>
 <87lfgqwxtf.fsf@HIDDEN>
 <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN>
 <87pn61znnj.fsf@HIDDEN>
 <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN>
X-Now-Playing: Joanna Newsom's _The Milk-Eyed Mender_: "Swansea"
Date: Thu, 01 Oct 2020 23:38:50 +0200
In-Reply-To: <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN> (Dmitry Gutov's
 message of "Fri, 2 Oct 2020 00:28:16 +0300")
Message-ID: <877ds9zkwl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > On 01.10.2020 23:39,
 Lars Ingebrigtsen wrote: >>>> Right. I know next to nothing about xref
 internals...
 but... >>>> couldn't >>>> this function just squash the
 multiple-matches-on-a-single-line int [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 01.10.2020 23:39, Lars Ingebrigtsen wrote:
>>>> Right.  I know next to nothing about xref internals...  but...
>>>> couldn't
>>>> this function just squash the multiple-matches-on-a-single-line into one
>>>> line?  Preserving the text props from the multiple lines and whatnot?
>>>> So a post-processing step?
>>> Which function?
>> `project-find-regexp'
>
> Then I'm not sure which eventual behavior you envision. Among other
> things, it doesn't answer the question I asked in the second paragraph
> of my previous email.

This one?

> Going back to xref buffers, if two matches are rendered on one line,
> that leads to a question of how 'n' and 'p' should behave (whether
> they would also jump between the matches on the same line).

I have no idea; I've never used those commands.

I'd just expect project-find-regexp to work as M-x grep, and have
`next-error' work (which works based on lines).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 1 Oct 2020 21:31:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 17:31:09 2020
Received: from localhost ([127.0.0.1]:38613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO6AO-0002si-H6
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:31:09 -0400
Received: from mail-ed1-f53.google.com ([209.85.208.53]:39231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kO6AL-0002lX-VZ
 for 43715 <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:31:06 -0400
Received: by mail-ed1-f53.google.com with SMTP id g3so2858100edu.6
 for <43715 <at> debbugs.gnu.org>; Thu, 01 Oct 2020 14:31:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:from:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=kj2PdJvqWRVXKG3BOtSeQtbEzZAUK8uFceZdWVDBwys=;
 b=mn94RZrJQpa0hItTBMIK48hKAVZ5tZYoP8Ep29Ps2RLll3Sx185i9Zmlsz9fPQOZrN
 jNiofw7omzCwPxmMiWds90Sp41/RcLswvfQTwTm2sjLDStSfrjxKqQ5Fjzw4krLzrV+Q
 hDg2q0ajU0jWsjeNdbKg3jKjBJlTK+M5FqChAcJMx3pkmD+zjFO37GF8GJlPd4f6vCKK
 iHblV3/llbcx5I2JEBdpgvZO7QfNfe4J06icuJAouTzPBjlRiYHk4UpRweLsBOAgqdP7
 6BvTQmdSLJ9QKlffADhPrJCJrGGEjC3RQT9XGrsFWZ+8vPrgar+Y7B/Fw8EdFInrK9Ur
 tBxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:from:to:cc:references:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=kj2PdJvqWRVXKG3BOtSeQtbEzZAUK8uFceZdWVDBwys=;
 b=OrbSLFqhdnCj92QqyQ7OlD3hva2h82D/f3Ai6qmvbuRMKjvIWzn7QQXoXcS38pwSnD
 DxqkuWQa7xjpCv7cGhIXKWYfZNJn5mzYkbY/h0H/05cuoVLN9BI7S8Oek0Zt1yIgP0nr
 atG+SCe+KlJysFGd9VF4KSlRT1pRin2Vcg9wwtqZUuI6k+481uSCstXUZOTPSAl31Z6a
 42p4P1Y9/AZLQlDmKNd4+yK+jEcCQd6BqLBcQ/1fG/nnXwZxLNcKexI/uEkVUx9/b273
 ix26IF7KEuBDML9TxXxEbAOWb7QRh6yTY5U3kgnCu1nAmocAAxNxXCSwYMPcYYXqFxb4
 XvAA==
X-Gm-Message-State: AOAM530T10fkFZMjf3rXN2Gz/K0XOhO25og6W8FVaKQxz2AAXkvrchfB
 NPSwT7YxaOBvHXqBP9J+JYUGg6hkIEEEfg==
X-Google-Smtp-Source: ABdhPJydnufcqbkFQQcDWVk9RpgNMmhIDE93u+l4LYXspzp3WPB7o5dEutOSLqjAzHXurxrZr/Jltg==
X-Received: by 2002:a50:e68a:: with SMTP id z10mr10842507edm.100.1601587860172; 
 Thu, 01 Oct 2020 14:31:00 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id dt8sm4600939ejc.113.2020.10.01.14.30.58
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 01 Oct 2020 14:30:58 -0700 (PDT)
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
From: Dmitry Gutov <dgutov@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN> <87lfgqwxtf.fsf@HIDDEN>
 <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN> <87pn61znnj.fsf@HIDDEN>
 <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN>
Message-ID: <c2952804-f71a-a6f9-7749-babf4aa02a37@HIDDEN>
Date: Fri, 2 Oct 2020 00:30:57 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry,

On 02.10.2020 00:28, Dmitry Gutov wrote:
> question I asked in the second paragraph of my previous email

                           ^ last




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 1 Oct 2020 21:28:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 17:28:27 2020
Received: from localhost ([127.0.0.1]:38595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO67n-0001l6-2x
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:28:27 -0400
Received: from mail-ed1-f50.google.com ([209.85.208.50]:43642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kO67l-0001kt-85
 for 43715 <at> debbugs.gnu.org; Thu, 01 Oct 2020 17:28:25 -0400
Received: by mail-ed1-f50.google.com with SMTP id dn5so3311751edb.10
 for <43715 <at> debbugs.gnu.org>; Thu, 01 Oct 2020 14:28:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=G0CUk5ihnJj8dyl9HhIR4xItd4R9Jsw46ZFNOiHQlEE=;
 b=qVWZSABPwzxJAsoN57s9VcRwbc7RcDY5vA5wzNe7fNyQ07ToG6sbD/XLBLY4h3UstQ
 xSKnI7a6HMaCZB7PMNpOkWqpPDWvBsd7lmsIQybrByw0kTjFYfjOtmW6lGzgteHz6d2H
 WXciubQW3ekfY3SkuzHaQkxsLsgcoWAU0B4sBZLt/KcC5rS8fA5ZFizRTTftsGwBawaR
 pRlA6Utfph5ELdWubIY+Fm67iRuCFAxMINPnwwLaVrWiErVE5X4sBn+ulfnSqHcUbD0D
 9I5T9rey+WzSJk73Oj/M3e2LDVLM4UNfLktTrHbgMVIpbRzxikWb7ADbPxfU4iqBSXwL
 dlbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=G0CUk5ihnJj8dyl9HhIR4xItd4R9Jsw46ZFNOiHQlEE=;
 b=i9NrReaospMSQT3L33WoUjuD2blYj/k2WKDGuRdXMKl0OvlBXVjM5DXhiR4z0j7kfa
 FDOlY3yw5/Rhaqf/ejcBLUvv77M25LElTNfhvYURLQNUxMJSJtDNyms+X0kYIJwl0tvO
 ARxl81mmfzp3b2b6zs9kAys+bZJnmOE+wQqKPU4vNFfnqMODiOVdEV2Y1WXmPTmpl6SB
 9rmYNF5oPkUBs/Qc/hReaVZjsLuei28r1Oy2xWRw689soFB8CFXQQwaGXodKXpiH9nlO
 E9hgvu/TiEniHl8KCHv22eQPbDTNhxU3P+Xeu7XsJNAHHypy6t1FXhvgtCB6jPTOiAZR
 2Auw==
X-Gm-Message-State: AOAM530m9UgCc6+joI93LVAMl5aOBtHMAlsPupiAS56BlPRyqDGMYu2E
 z92AOIDDOXn035d+2v7ZSdYxs3QWBcLFJA==
X-Google-Smtp-Source: ABdhPJwkcXwaxdIl9WPFdjRIN78juRLF2F96MPDDj3P7MJZc6OgCevMBDHmAwk0GQpjmUDtWW09uOg==
X-Received: by 2002:aa7:dd8d:: with SMTP id g13mr10580465edv.324.1601587699143; 
 Thu, 01 Oct 2020 14:28:19 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id a26sm4975000ejk.66.2020.10.01.14.28.16
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 01 Oct 2020 14:28:17 -0700 (PDT)
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN> <87lfgqwxtf.fsf@HIDDEN>
 <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN> <87pn61znnj.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <39eebffe-a21e-35e7-f827-c7d8eb2128d8@HIDDEN>
Date: Fri, 2 Oct 2020 00:28:16 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <87pn61znnj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 01.10.2020 23:39, Lars Ingebrigtsen wrote:
>>> Right.  I know next to nothing about xref internals...  but...
>>> couldn't
>>> this function just squash the multiple-matches-on-a-single-line into one
>>> line?  Preserving the text props from the multiple lines and whatnot?
>>> So a post-processing step?
>> Which function?
> `project-find-regexp'

Then I'm not sure which eventual behavior you envision. Among other 
things, it doesn't answer the question I asked in the second paragraph 
of my previous email.

And if I get your idea right, this would break 
xref-query-replace-in-results.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 1 Oct 2020 20:39:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 16:39:50 2020
Received: from localhost ([127.0.0.1]:38547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO5Mf-0000bi-Oa
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 16:39:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kO5Ma-0000bR-G7
 for 43715 <at> debbugs.gnu.org; Thu, 01 Oct 2020 16:39:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=tFq9pWY14vxQZ++XI74hpXpyovfi8PVdqb+Y+DZ45Qw=; b=hWrYCl8CAL5Vo4noN8zOl0Z9cY
 TrCivzOypaQlUGbHZ2roAIUGb7WKcrkN9YqN7I2s26XEH0txd132Yw6bTbevQpXIRP+t//DSCcCyU
 2hYb7VEBMw4KZdeF5SqpPVP2o7X0ye/yBKrS+W33lq8viyhwaIcAw2HnWPAcD1SU+QGA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kO5MP-0003Cs-Md; Thu, 01 Oct 2020 22:39:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN>
 <87lfgqwxtf.fsf@HIDDEN>
 <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVdOkeMVmCtoKPw
 7Ov///+QNNExAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+QKARM2EDnGEMgAAAHCSURBVDjLZZTtuYMw
 CIUhXSDgAklYQJP9d7sHiNY+lx9WfQ2HzxKFVRJlSetxJb/o+DF8lR/TZ9q0Yf5yjWHtC04q2rji
 Wal+3kDZunSVOkSO5jLkIgccrBm+cF1ddIvjfiAA6wBqqxFnrHQstzmWxQ1ATVDm8miWTbgaACUA
 03G5Jx2KoKfY5XmRB58eHtvi7ioUTBGCuobIFnfQailwfmwQcbGDCz9N1AIMTxt5hCubt8Z5V3e4
 44k6dM/V89gWJ172gNCYUU6yf+D8VqdHgrLFr+zADjcyYdpA2q+rG/DoxAH4P8hwUSp1cGvAb3Fw
 jUiwSlTuCu0oSZddRd5gEF3HBvIGRqUFqJygbFCaBYhxRIJ9a5Sq8yfBShxAqrYEeMdvgP7cgN4g
 pzUyF5zwfdAsOxzXbG0C5L8mOuvjmwMnT0MwI/5zRq++gHmdzft1UvOHBJ5lSfDxEyhDf3awZIQA
 lwMck7o1Tq61HCeGViFe5QFh93w3ufej+2vVjtZk2RV7ilQ4TpitmSvVkJ/crpAYNt03KktCj4Yv
 rW0N+mZ+20xXCDrnZ/hcyIiC+t8MsezSv+2OFUFlKzxCiU3yb/8AAUZn5CnFt7kAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjAtMTAtMDFUMTk6NTQ6MTYrMDA6MDAKzx4nAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIwLTEwLTAxVDE5OjU0OjE2KzAwOjAwe5KmmwAAAABJRU5ErkJggg==
X-Now-Playing: Sandy Denny's _'Gold Dust' Live at the Royalty_: "One More
 Chance"
Date: Thu, 01 Oct 2020 22:39:28 +0200
In-Reply-To: <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN> (Dmitry Gutov's
 message of "Thu, 1 Oct 2020 23:38:01 +0300")
Message-ID: <87pn61znnj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: >> Right. I know next
 to nothing about xref internals... but... >> couldn't >> this function just
 squash the multiple-matches-on-a-single-line into one >> line? Preserving
 the text props from the mult [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

>> Right.  I know next to nothing about xref internals...  but...
>> couldn't
>> this function just squash the multiple-matches-on-a-single-line into one
>> line?  Preserving the text props from the multiple lines and whatnot?
>> So a post-processing step?
>
> Which function?

`project-find-regexp'

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 1 Oct 2020 20:38:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 16:38:19 2020
Received: from localhost ([127.0.0.1]:38543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO5LD-0000Zf-Se
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 16:38:19 -0400
Received: from mail-ed1-f45.google.com ([209.85.208.45]:45000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kO5L9-0000ZP-0K
 for 43715 <at> debbugs.gnu.org; Thu, 01 Oct 2020 16:38:14 -0400
Received: by mail-ed1-f45.google.com with SMTP id b12so7025148edz.11
 for <43715 <at> debbugs.gnu.org>; Thu, 01 Oct 2020 13:38:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=n/sf0joidc4+qmQ3l9VqC5/rFDGLCYmGTJrzpICmUcU=;
 b=k9W+HAGBFmxKMJkeskUHfC0edH3OcFwIdevis8FLyiizzpZc5dLwOfIWeeAvE7KZQb
 AyJhr66UPfXS7gFY2zkIU/EqWwv2ZAgGLVVB9skvHEN1AnrIkvwTi/e1RaV97WCIcxmX
 U6oGFp57pJD0Z9LxH4lVXY8apW8qNK2OJBAW5E3RPWCyzekPI7dNj/UT3qcCKAH6sKkc
 zYfg6qjzxSpcebp1JgOqZq26ILIXKn9NC15GlkzY8CyB41S9mbyWs3tHYL/RNPwKD32W
 d25bdeVHwgSJjZ05UqVbU1yWfWUDg+w8FKDi/JP24kUIgULqsNLqHWjls8zzCPkmZDAr
 Zt+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=n/sf0joidc4+qmQ3l9VqC5/rFDGLCYmGTJrzpICmUcU=;
 b=gzuiy5dX/5Hgih+FTDO4qfM/iPQt0DI/YnwszqhrVP4LjkH8GJI773z6xFX1yZN0sw
 hZFqc6aQrL8EPBXA2zRMPp3u00hOiGE/1xMVlyEoClNHzdg/a3GwD62RlFukVVZJ1Usr
 Q3lhMJkoiJIrBLNZGptbPmWxOvw36bgCahcw6RRjL3iTvVN97IQjCylBqtbOOsWvAobF
 lqiL0UFWCm9E/PC9Isj0cKwJncEqWAO+jSSyd7l//jDCaaHwELb8ZOgWSJgW33o5bXHM
 4qm4Wyzw39//EyTC48d9DBKEZKLR4FP/f+rmSKZW5ZZDMAarGs6QVqH/QKmsXxs1JZ6c
 Zy/Q==
X-Gm-Message-State: AOAM533t1YHtK3FkHhkMnnk24YSUuaDfVKNLIXLmYIpzF6YyH2V6p3hE
 kY+/4IRT2+fPEY3b3guKJySKbQp3ILTzbg==
X-Google-Smtp-Source: ABdhPJxIcYqxw7BCWfHUFB6DeF1809GrSFH8fEBwNvhRkkox18vYJf/TzvDZV98lINfJJj3BmGZpUg==
X-Received: by 2002:a05:6402:1bc2:: with SMTP id
 ch2mr9911769edb.60.1601584684769; 
 Thu, 01 Oct 2020 13:38:04 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id a15sm4801638ejy.118.2020.10.01.13.38.02
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 01 Oct 2020 13:38:03 -0700 (PDT)
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN> <87lfgqwxtf.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d2eb589f-ae7b-7498-9bdb-b9d37be0fc8b@HIDDEN>
Date: Thu, 1 Oct 2020 23:38:01 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <87lfgqwxtf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 01.10.2020 04:15, Lars Ingebrigtsen wrote:
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
>> The behavior is less than ideal, but the fix will have to satisfy
>> multiple constraints: the xref item creation (taking care of the
>> format being backward-compatible), the rendering of them in the
>> buffer, and the 'xref-query-replace-in-results' command, the
>> implementation of which relies on the one-line-per-match property of
>> an xref buffer.
> 
> Right.  I know next to nothing about xref internals...  but...  couldn't
> this function just squash the multiple-matches-on-a-single-line into one
> line?  Preserving the text props from the multiple lines and whatnot?
> So a post-processing step?

Which function?

xref-query-replace-in-results works on an existing xref buffer. And it 
uses the position of point (at the beginning of line) as both user 
indicator and to persist the state of the replacement process.

Going back to xref buffers, if two matches are rendered on one line, 
that leads to a question of how 'n' and 'p' should behave (whether they 
would also jump between the matches on the same line).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 1 Oct 2020 01:16:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 21:16:11 2020
Received: from localhost ([127.0.0.1]:33446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNnCd-0004Fk-HW
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:16:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kNnCb-00048T-1w
 for 43715 <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:16:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Z0BXK6HYi+LafVxe48WoWfqMos3RYuydAfavn6FaKwU=; b=eq0BscoNJ1uGwobsWG9mX6Gewx
 NAF7ePGtGU8XKlS2pD3Utbgl+GvNCo5dyEYXFfRV9kO0+Pfd1YA/CGKWLzVVDwur7y49SkgMuzkof
 mic4jxTvyDbsH8KVy6T5cW/NNSKhJAhk1ijoomUj0cFf/rTBAzTs+/5yQVcpqU31qWoI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kNnCQ-0008U5-3p; Thu, 01 Oct 2020 03:16:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
 <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVmrsgwcpo+VlrE
 kXX///9BE2WnAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+QKAQELI/NcTn4AAAG7SURBVDjLdZOLseUg
 CEBBGwBeA0IaMNJ/bwsYs/fd2SUZox7+GoD/CwLnh43y02KDNhC0kXzAA2LZBggYcu2N0sVSafka
 CtHIJTKHRxUCUWhmYqQagJkYdbQAFkDEkGKOQwMElCcMtZhZeh4cD5FYAaSGBhkj/IXzSEFxhKtM
 EJ+CnvxD32xn/iVmBb6l/RtQMyqQg1gFK3VtZi/4MG2KuYoW7O3LnbO4aASa5nQD6qlUos8Xym6u
 iCKLPwRy6L1ScP0GcJst4+tmDnN8wU/nCB5A+VqfFvNmW1cBv3PT/oJtwTtMjVCeEij/RDnl6tqg
 Q4GVVXoSSYexCWnlr4T242pkHFd5yYkxYSd4vUZrZwUdWa5oyje45hT/EMsOJDC4dz7ypHXA5d2k
 CtnjLj/AGh5/gug5DTjAHHyeRoe+nxWBw02ToPpNGWdXTj3+BjhAfM40SeAGsyNsV9Jfi2hKj4sW
 BpKn5suflkR/o5SsvyymO60NaI2Op2OVFh/whi6pw4Kqi5A7/xawX0v9AOdyat4OlchMJTureQlV
 lWOMx1gktzQB67Nn+fdLXXM9SQq/E7H0C1/JbI04gz876V/Zxf1JkAAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMC0xMC0wMVQwMToxMTozNSswMDowMOj+iRoAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAt
 MTAtMDFUMDE6MTE6MzUrMDA6MDCZozGmAAAAAElFTkSuQmCC
X-Now-Playing: Max Tundra's _Mastered By Guy At The Exchange_: "Gondry"
Date: Thu, 01 Oct 2020 03:15:56 +0200
In-Reply-To: <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN> (Dmitry Gutov's
 message of "Thu, 1 Oct 2020 01:52:49 +0300")
Message-ID: <87lfgqwxtf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Dmitry Gutov <dgutov@HIDDEN> writes: > The behavior is
 less than ideal, but the fix will have to satisfy > multiple constraints:
 the xref item creation (taking care of the > format being backward-compatible),
 the rendering of them in the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Pankaj Jangid <pankaj@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> The behavior is less than ideal, but the fix will have to satisfy
> multiple constraints: the xref item creation (taking care of the
> format being backward-compatible), the rendering of them in the
> buffer, and the 'xref-query-replace-in-results' command, the
> implementation of which relies on the one-line-per-match property of
> an xref buffer.

Right.  I know next to nothing about xref internals...  but...  couldn't
this function just squash the multiple-matches-on-a-single-line into one
line?  Preserving the text props from the multiple lines and whatnot?
So a post-processing step?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 30 Sep 2020 22:53:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 18:53:00 2020
Received: from localhost ([127.0.0.1]:33364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNky4-0001vG-0O
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 18:53:00 -0400
Received: from mail-ej1-f46.google.com ([209.85.218.46]:35123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kNky2-0001v3-Ew
 for 43715 <at> debbugs.gnu.org; Wed, 30 Sep 2020 18:52:58 -0400
Received: by mail-ej1-f46.google.com with SMTP id u21so5221285eja.2
 for <43715 <at> debbugs.gnu.org>; Wed, 30 Sep 2020 15:52:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=yl8rJrZ23xbu2fxeFLqNNeHiSkGbg2qlt2VSFQDVbeY=;
 b=BN7o+0OybmhYtB7zfQQ/tKSEQexDk16qCPib8XRKYIM7+FGI6XpSluIG4Op2ob5OJu
 2EDGA4sCKQlvU58+kyy1HKD4dsILRA0y0WCjsNyomg069nJtcJ3H2ygkK5G7DbY6cAV1
 0bdbxgcN2rckmqAPU27Gw/eJryrVyrmPFQZAD2cthhVl/s5h9N7YVsA/A4ESKsxg0H9K
 TDgl9eY7sHYKJ3nv2vhaQ0PnkK6tYA7pcI3kBeH9cUPqXYJun221UYQMFmdrlg1glZYT
 R5+mLn9yMZZBEXQiFPDr9S8bOZV9ypKwamSjp7PSDOwaiug06dQY7oGwldcuQmQ0ACpm
 +y5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=yl8rJrZ23xbu2fxeFLqNNeHiSkGbg2qlt2VSFQDVbeY=;
 b=VJCaBWkBmACEME4hq42HOewmkioqFnfiCwZTI0kW087XQ7aDHIima/+Brid5WLMVax
 3xIYVD8QWrFj6pjP618SEkutvcxd2D8rG178pfUW5dbEN+JaIa+lpJr8PZfAhdnUIWsA
 sTozIcijzoaLTgGnm+1gl5IYTPvVWKaV/SrtWbNNunW8mVFVTlo3c6i86epYALkAVrM6
 g8QonIF3/ozAtypWgVUW5Dd3byTR1CWeYIRk1cLCSfXJsNJRR6q2C92UHYqpT1HiFYod
 hyf0Sr0lj0FgWMKayhqgXo3S9zYPjyz3Qn0UT/mHvXI1QmhikFr47O119mGzKhtYzR2S
 apQw==
X-Gm-Message-State: AOAM531LlA37VIMmvJMgDsWPAArhdK/uiB2vnW2M8nfkUMICv6sKCAke
 noVjrhSw0fb5NNLouPdHgbhWbFhiEjiBhA==
X-Google-Smtp-Source: ABdhPJyfRJudyJBQ/a2prETak/d0usBaZGcGpgMLGJxVM2OY0vNlXvdtU7lxYvWhJwUVGhJR8mOwBw==
X-Received: by 2002:a17:906:86cd:: with SMTP id
 j13mr5073264ejy.5.1601506372148; 
 Wed, 30 Sep 2020 15:52:52 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id m6sm2647541ejb.85.2020.09.30.15.52.50
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 30 Sep 2020 15:52:51 -0700 (PDT)
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
To: Lars Ingebrigtsen <larsi@HIDDEN>, Pankaj Jangid <pankaj@HIDDEN>
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <3644ac8e-4a82-78a2-24d7-001f491f6a0e@HIDDEN>
Date: Thu, 1 Oct 2020 01:52:49 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <87lfgr5psh.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 43715
Cc: 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 30.09.2020 16:59, Lars Ingebrigtsen wrote:
> So it this a feature or a bug?

It is both, I guess.

The behavior is less than ideal, but the fix will have to satisfy 
multiple constraints: the xref item creation (taking care of the format 
being backward-compatible), the rendering of them in the buffer, and the 
'xref-query-replace-in-results' command, the implementation of which 
relies on the one-line-per-match property of an xref buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.
Forcibly Merged 36967 43715. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 30 Sep 2020 19:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 15:28:13 2020
Received: from localhost ([127.0.0.1]:33177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNhlt-0003MO-7Q
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 15:28:13 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:59123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1kNhlp-0003M5-0T; Wed, 30 Sep 2020 15:28:12 -0400
X-Originating-IP: 91.129.108.13
Received: from mail.gandi.net (m91-129-108-13.cust.tele2.ee [91.129.108.13])
 (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 6013420009;
 Wed, 30 Sep 2020 19:27:59 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
Organization: LINKOV.NET
References: <m2pn63eoj3.fsf@HIDDEN> <87lfgr5psh.fsf@HIDDEN>
Date: Wed, 30 Sep 2020 22:25:25 +0300
In-Reply-To: <87lfgr5psh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 30 Sep 2020 15:59:10 +0200")
Message-ID: <87lfgrdq1q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 43715
Cc: Dmitry Gutov <dgutov@HIDDEN>, Pankaj Jangid <pankaj@HIDDEN>,
 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

forcemerge 36967 43715
quit

> So it this a feature or a bug?

In bug#36967 it's labeled as a "drawback".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at 43715 <at> debbugs.gnu.org:


Received: (at 43715) by debbugs.gnu.org; 30 Sep 2020 13:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 09:59:23 2020
Received: from localhost ([127.0.0.1]:60648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNcdf-00012r-HI
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 09:59:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kNcdd-00012d-GN
 for 43715 <at> debbugs.gnu.org; Wed, 30 Sep 2020 09:59:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NAivc2caBVNtLpKRrN/J5374H9sC16dPfawoAdV5MJ0=; b=tdq2uJJveJCTGp/ROcNWZqdkoo
 o1NWzix4qtY2yN0U1+5XjcEB54gCM+Qgsmi0YwQeuKJ1an21AnNSPW2omJgdFnWlVZSQ69OruDi5c
 9KKO1yXmzon2jbfTwnEszq8QK8GtukCN12biiwpagGsbp0HSEmqO7wO4q1TNsX56O2eo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kNcdU-00029O-5R; Wed, 30 Sep 2020 15:59:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp
References: <m2pn63eoj3.fsf@HIDDEN>
X-Now-Playing: So's _So_: "i"
Date: Wed, 30 Sep 2020 15:59:10 +0200
In-Reply-To: <m2pn63eoj3.fsf@HIDDEN> (Pankaj Jangid's message of "Wed, 30 Sep
 2020 12:31:36 +0530")
Message-ID: <87lfgr5psh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Pankaj Jangid <pankaj@HIDDEN> writes: > I was search
 a regular expression 'mail' in project ~/.emacs.d. This is > part of the
 result, > > /Users/pankaj/.emacs.d/lisp/init-email.el > 1: ;;; init-email.el
 --- configure Email -*- lexical-bin [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43715
Cc: Dmitry Gutov <dgutov@HIDDEN>, 43715 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pankaj Jangid <pankaj@HIDDEN> writes:

> I was search a regular expression 'mail' in project ~/.emacs.d. This is
> part of the result,
>
> /Users/pankaj/.emacs.d/lisp/init-email.el
>  1: ;;; init-email.el --- configure Email -*- lexical-binding: t -*-
>  1: ;;; init-email.el --- configure Email -*- lexical-binding: t -*-
> 17: ;; (add-hook 'mail-citation-hook 'sc-cite-original)
> 34: ;;   "Fetch email addresses from the email headers."
> 34: ;;   "Fetch email addresses from the email headers."
> 42: (provide 'init-email)
> 43: ;;; init-email.el ends here
>
> Notice the duplicate results from line number 1 and 34.

It looks like when there are two matches in the same line, the line is
listed twice?  So I tried the same command on the Emacs tree (with
"regexp" as the regexp) and, indeed:

 2215: 	that debugger code that needs to do regexp match won't break
 2438: 	Fix regexp-opt documentation (bug #17862)
 2440: 	* lisp/emacs-lisp/regexp-opt.el (regexp-opt):
 2440: 	* lisp/emacs-lisp/regexp-opt.el (regexp-opt):

So it this a feature or a bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Sep 2020 07:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 03:01:51 2020
Received: from localhost ([127.0.0.1]:57918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNW7a-0002k4-Kv
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 03:01:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:59756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kNW7W-0002ju-PJ
 for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 03:01:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33440)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pankaj.jangid@HIDDEN>)
 id 1kNW7W-0003de-Gi
 for bug-gnu-emacs@HIDDEN; Wed, 30 Sep 2020 03:01:46 -0400
Received: from mail-pg1-x52a.google.com ([2607:f8b0:4864:20::52a]:43177)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pankaj.jangid@HIDDEN>)
 id 1kNW7U-0001OH-9F
 for bug-gnu-emacs@HIDDEN; Wed, 30 Sep 2020 03:01:46 -0400
Received: by mail-pg1-x52a.google.com with SMTP id t14so495292pgl.10
 for <bug-gnu-emacs@HIDDEN>; Wed, 30 Sep 2020 00:01:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:date:message-id:mime-version;
 bh=aQmMCceccmE/OlLhqBYiNDS9/piQj9Ly+fQld2ufjrY=;
 b=wZw4O2iAK2nnYShRbBHGgw3iY695oR0uQQTevLy/C++OkmMuVhwX+Ak3qwmUO1W8kW
 d1ni9bEvAJrd4dwpZzRBCp7tXBjfrkSollCJpLiMuOFcKlLddQP9K1hbbaa/UoXFagxZ
 xXKjvagTzT2AIAxp/9j+5wRZJFd5OUpz/xyCvIe17voUcwVLY0R442GCWD1XearVtYOj
 6CT3AO+7kqcD7ayBepZlWGezAbrlZGZjNBPLH6OmpKJ1iAMXmz/Vmvt4OxfXnq6oDGps
 k0mAyCDsK6OwTBSJd5v5S5kMNTHnXy59RGrx/KzW7sFVoIxVdLqQa9CecTFTPHMGXvyC
 BVUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=aQmMCceccmE/OlLhqBYiNDS9/piQj9Ly+fQld2ufjrY=;
 b=VR6OqY1X552d1BBc+C6fCbxA36QJ5siez5SVEV6iyfLKAHZGnaUUaebPxORa2WEPHG
 rekOS2JhWLxj26PFQRMy9cRWdK7zMZax5RnicvqgfuiBfeWZqfWgZsTGwqnpKj7gKTlM
 qiGVFWgCOCcYr+Hx5mMye1SVRQ6nbWtZ9vu0+NC+iUCcdTQDlv48iZdQCNEt/Au80f/0
 hP+MIlkF7q3bcDk4V36X+1cFoHFHZmk4kgbJDvjpuHjRq9SB47Ce+fWHk/CaEgfqydyJ
 3H8HHORUQvQXEIKvNOqMX3nxNStPT+bFEC83DvCy1nTLvyX0fPHQW8Dd5UfCQ1rSPlJI
 WHeQ==
X-Gm-Message-State: AOAM5314R0X/swFtre/nXdJrQMtZxS+UyshFn8mLDijj9VbGnNNp13KW
 3/T8R8CMagECKtPj8ojPWyCvpIRoBFtatg==
X-Google-Smtp-Source: ABdhPJyshGjzFG1D/M86P2nb89ar2hoR6A6+TzKv1/76YaRXd1R3VusTryjpQ1N2I2Zt7VtBsQiQ0A==
X-Received: by 2002:aa7:858a:0:b029:142:2501:34d0 with SMTP id
 w10-20020aa7858a0000b0290142250134d0mr1085118pfn.41.1601449299764; 
 Wed, 30 Sep 2020 00:01:39 -0700 (PDT)
Received: from BigBook.local ([2405:201:5c06:7085:dd79:de50:ad9b:6f65])
 by smtp.gmail.com with ESMTPSA id gp8sm1042849pjb.3.2020.09.30.00.01.38
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 30 Sep 2020 00:01:39 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Duplicate results in project-find-regexp
Date: Wed, 30 Sep 2020 12:31:36 +0530
Message-ID: <m2pn63eoj3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=2607:f8b0:4864:20::52a;
 envelope-from=pankaj.jangid@HIDDEN; helo=mail-pg1-x52a.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, HEADER_FROM_DIFFERENT_DOMAINS=0.199,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)


I was search a regular expression 'mail' in project ~/.emacs.d. This is
part of the result,

--8<---------------cut here---------------start------------->8---
/Users/pankaj/.emacs.d/lisp/init-email.el
 1: ;;; init-email.el --- configure Email -*- lexical-binding: t -*-
 1: ;;; init-email.el --- configure Email -*- lexical-binding: t -*-
17: ;; (add-hook 'mail-citation-hook 'sc-cite-original)
34: ;;   "Fetch email addresses from the email headers."
34: ;;   "Fetch email addresses from the email headers."
42: (provide 'init-email)
43: ;;; init-email.el ends here
--8<---------------cut here---------------end--------------->8---

Notice the duplicate results from line number 1 and 34.


In GNU Emacs 28.0.50 (build 6, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H2))
 of 2020-09-30 built on BigBook.local
Repository revision: 6c0f1c26d296132e37b2508a00efc73f3df95b0c
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured using:
 'configure LDFLAGS=-L/usr/local/opt/ruby/lib
 CPPFLAGS=-I/usr/local/opt/ruby/include
 PKG_CONFIG_PATH=:/usr/local/opt/sqlite/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/openssl/lib/pkgconfig:/usr/local/opt/libffi/lib/pkgconfig:/usr/local/opt/ruby/lib/pkgconfig'

Configured features:
JPEG TIFF GIF PNG RSVG DBUS GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS NS MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LC_CTYPE: UTF-8
  value of $LANG: en_IN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
  electric-pair-mode: t
  show-paren-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-idle-scheduler-mode: t
  semantic-mode: t
  recentf-mode: t
  icomplete-mode: t
  which-key-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail grep cl-extra two-column
iso-transl jka-compr rect vc-mtn vc-hg vc-git diff-mode vc-bzr vc-src
vc-sccs vc-svn vc-cvs vc-rcs vc vc-dispatcher misearch multi-isearch
checkdoc lisp-mnt display-line-numbers elec-pair paren hideshow
semantic/db-mode semantic/idle semantic/analyze semantic/sort
semantic/scope semantic/analyze/fcn semantic/db eieio-base
semantic/format ezimage semantic/tag-ls semantic/find semantic/ctxt
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet init server vtl cl init-java init-kotlin
init-javascript company js cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs eglot array filenotify
jsonrpc ert ewoc debug backtrace help-mode xref pcase url-util project
imenu init-elisp init-keys init-modeline init-looks init-editorconfig
init-speedbar init-recentf recentf tree-widget wid-edit init-date-time
solar cal-dst init-crypto init-browser init-icomplete icomplete
init-which-key which-key init-flymake flymake-proc flymake compile
warnings init-dired init-org org-indent org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
pcomplete comint ansi-color ring org-list org-faces org-entities
noutline outline easy-mmode org-version ob-emacs-lisp ob-core ob-eval
org-table ol org-keys org-loaddefs find-func cal-menu calendar
cal-loaddefs org-compat advice org-macs init-erc erc-auth erc-join
erc-goodies erc erc-backend iso8601 thingatpt pp format-spec
erc-loaddefs init-email message rmc puny dired dired-loaddefs rfc822 mml
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader init-ibuffer edmacro kmacro info
early-init package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
kqueue cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 230973 19997)
 (symbols 48 24482 1)
 (strings 32 78131 9692)
 (string-bytes 1 2747741)
 (vectors 16 38606)
 (vector-slots 8 466323 22924)
 (floats 8 446 170)
 (intervals 56 5098 0)
 (buffers 992 18))

-- 
Pankaj Jangid

GnuPG Fingerprint => 0B62 7424 3B26 A911 052A  DDE6 7C95 6E6F F858 7689




Acknowledgement sent to Pankaj Jangid <pankaj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43715; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 2 Oct 2020 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.